using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TobbAblak
{
    public partial class NewUser : Form
    {
        public DataTable dt;
        DataView dv;

        public NewUser()
        {
            InitializeComponent();
            dt = new DataTable();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (textBox1.Text.Trim() == "")
            {
                errorProvider1.SetError(textBox1, "A név nem lehet üres!");
                textBox1.Text = "";
                textBox1.Focus();
            }
            else
            {
                errorProvider1.Clear();
                dv = new DataView(dt);
                dv.RowFilter = "Nev = '" + textBox1.Text + "'"; //szüres a sorokra, ahol ez a név szerepel
                if (dv.Count != 0)
                {
                    errorProvider1.SetError(textBox1, "Már van ilyen felhasználó!");
                    textBox1.Text = "";
                    textBox2.Text = "";
                    textBox3.Text = "";
                    textBox1.Focus();
                }
                else
                {
                    errorProvider1.Clear();
                    if (textBox2.Text.Trim() == "" || textBox2.Text.Length < 3)
                    {
                        errorProvider1.SetError(textBox2, "Nem lehet üres vagy túl rövid!");
                        textBox2.Text = "";
                        textBox2.Focus();
                    }
                    else
                        if (textBox3.Text.Trim() == "" || textBox3.Text.Length < 3)
                        {
                            errorProvider1.SetError(textBox3, "Nem lehet üres vagy túl rövid!");
                            textBox3.Text = "";
                            textBox3.Focus();
                        }
                        else
                            if (textBox2.Text != textBox3.Text)
                            {
                                errorProvider1.SetError(textBox3, "A két jelszó nem egyezik!");
                                textBox3.Text = "";
                                textBox3.Focus();
                            }
                            else
                            {
                                errorProvider1.Clear();
                                DialogResult = DialogResult.OK;
                                Close();
                            }
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            Close();
        }

    }
}
